package sikd.sikd5.sikd5ejb.dao;

import java.util.ArrayList;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.SqlSession;
import sikd.sikd5.sikd5bean.fault.SIKDServiceException;
import sikd.sikd5.sikd5bean.query.PosisiKasAkunPerPemda;
import sikd.sikd5.sikd5bean.tabel.TahunAnggaran;
import sikd.sikd5.sikd5ejb.mapper.RefSimpatikMapper;
import sikd.sikd5.sikd5ejb.mapper.SettingsMapper;

/**
 * @author : agus
 * @tanggal : Feb 04, 2019
 */
public class RefSimpatikDao {

    public List<PosisiKasAkunPerPemda> getRefsimpatiks(short tahun, String[] inAkun, SqlSession session) throws SIKDServiceException {
        List<PosisiKasAkunPerPemda> hasil = new ArrayList<PosisiKasAkunPerPemda>();
        try {
            RefSimpatikMapper mapper = session.getMapper(RefSimpatikMapper.class);
            hasil = mapper.getRefsimpatiks(tahun, inAkun);
            return hasil;
        } catch (Exception e) {
            throw new SIKDServiceException(e.getMessage());
        }
    }

}
